AvrLogger : Thermallogger und Visualisierung Tool

Peppi81

Benutzer
Mitglied seit
24. August 2012
Beiträge
36
Punkte für Reaktionen
1
Punkte
14
Leider funktioniert die " AvrLogger-noarch-v3.0.1-003 PREVIEW.spk " auch nicht. :confused:

Beendet das Paket direkt wieder mit selbem Log ....

Kann auch heute noch nicht die andere DS920 ausprobieren im Bezug auf den AvrLogger, weil die HDDs noch unterwegs sind. Da werde ich das System neu aufsetzen und nicht "migrieren"!
 

BigRonin

Benutzer
Mitglied seit
08. Mai 2015
Beiträge
938
Punkte für Reaktionen
43
Punkte
54
"pools": {
"1": {
"desc": "4 x 10 TB @ WD RED HDD - [SHR, btrfs]",
"loc": "internal",
"sdl": [
"sata1",
"sata2",
"sata3",
"sata4"
],

Die Laufwerksbezeichnungen sind sehr ungewöhnlich ... :(

ob du wohl mal per Terminal folgendes ausprobieren könntest :
Code:
cat /proc/mdstat
 

Peppi81

Benutzer
Mitglied seit
24. August 2012
Beiträge
36
Punkte für Reaktionen
1
Punkte
14
Die Bezeichnung war vor dem "migrieren" auf dem alten System exakt dieselbe. Da lief der AvrLogger noch Problemlos!

Der Befehl gibt folgendes aus:


Personalities : [linear] [raid0] [raid1] [raid10] [raid6] [raid5] [raid4]
md4 : active raid5 sata3p6[0] sata2p6[3] sata1p6[2] sata4p6[1]
20508463296 blocks super 1.2 level 5, 64k chunk, algorithm 2 [4/4] [UUUU]

md3 : active raid0 nvme0n1p1[0] nvme1n1p1[1]
1000202752 blocks super 1.2 64k chunks [2/2] [UU]

md2 : active raid5 sata3p5[4] sata2p5[7] sata1p5[6] sata4p5[5]
8776306368 blocks super 1.2 level 5, 64k chunk, algorithm 2 [4/4] [UUUU]

md1 : active raid1 sata3p2[0] sata4p2[1] sata1p2[2] sata2p2[3]
2097088 blocks [4/4] [UUUU]

md0 : active raid1 sata3p1[0] sata4p1[1] sata1p1[2] sata2p1[3]
2490176 blocks [4/4] [UUUU]

unused devices: <none>


Hab die Bezeichnung mal in "Test" geändert. Bringt aber den selben Log und das Paket wird direkt wieder beendet!
 
Zuletzt bearbeitet:

BigRonin

Benutzer
Mitglied seit
08. Mai 2015
Beiträge
938
Punkte für Reaktionen
43
Punkte
54
Hab die Bezeichnung mal in "Test" geändert

Ich bin mir grad nicht ganz sicher ob wir von demselben reden …

md4 : active raid5 sata3p6[0] sata2p6[3] sata1p6[2] sata4p6[1]

Mir, bzw. AvrLogger, geht es um die Bezeichnung der internen Laufwerke. Die beginnen üblicherweise mit sdx oder hdx. Auf Synology DiskStations ist mir bis jetzt nur sda / sdb / sdc usw. untergekommen

Das die sata3p6 usw. bezeichnet werden, ist mir (und AvrLogger) völlig unbekannt und entspricht keinem der gänigen Konventionen.
Siehe Device Names in Linux

Mit diesen Laufwerksbezeichnungen sata3p6 usw. wird das mit AvrLogger nichts ... leider :( ...

Vielleicht magst du, wenn deine andere DS920+ eingerichtet ist, berichten wie es da aussieht.
Nicht das Synology mit der neuen Serie irgendetwas „krudes“ eingeführt hat.
 

Peppi81

Benutzer
Mitglied seit
24. August 2012
Beiträge
36
Punkte für Reaktionen
1
Punkte
14
Alaska!

Werde Bericht erstatten. Bei der anderen DS920 werd ich das DSM auch "neu installieren" und nicht "migrieren".

Seltsam, dass durch das "migrieren" sich scheinbar die Bezeichnungen geändert haben ......

Meine Festplatten für die 2te DS sind allerdings noch per DPD unterwegs. Denke ich werd erst im besten Fall am Montag die andere 920 in Betrieb nehmen können ....

AvrLogger wird das erste Paket sein, dass ich installieren und testen werde! ;)
 
  • Like
Reaktionen: BigRonin

MooDoo

Benutzer
Mitglied seit
21. Mai 2018
Beiträge
23
Punkte für Reaktionen
0
Punkte
1
Moin,
das Update auf V3 ist echt gelungen und ich habe endlich Zeit gehabt mich da etwas einzuarbeiten.
Eine Frage habe ich jedoch:
Ich exportiere das Chart der letzten 24h als status.svg. Diese Grafik habe ich in eine ganz einfache HTML Seite gepackt um auch von Unterwegs einfach auf die Eckdaten meiner DS schauen zu können.
Nun möchte ich den letzten Pingtest einpflegen damit ich die Ping-Linie im Chart deaktivieren kann (da ich nicht herausfinde, wie ich die Ping-Skala in ms anzeigen lassen kann). Außerdem wäre die Info über die verfügbare Bandbreite sehr gut für die Zukunft.

Wie bekomme ich die Daten aus der URL "meineDS/webman/3rdparty/AvrLogger/AvrLogger.cgi?page=json&PopUp=Yes" in einer HTML angezeigt? Der einfache Versuch mit der externen Domain voranstellen endet mit dem Fehler aus dem Anhang 123.PNG
 

BigRonin

Benutzer
Mitglied seit
08. Mai 2015
Beiträge
938
Punkte für Reaktionen
43
Punkte
54
Hallo MooDoo,

den / die Ping-Line im Chart blendest du so ein:

Ping 001.png

Ping 002.png


Ping 003.png

Das Aufrufen des letzen Speedtest’s „ohne“ Anmeldung im DSM ist so nicht vorgesehen, leider.
Die einzige Möglichkeit, die mit spontan einfällt, wäre das du die entsprechende Datei mit einem Script kopierst.
Die Datei findest du hier:

Code:
/var/packages/AvrLogger/etc/log/speed.json
Ich kann aber auch eine Funktion einbauen, die den letzten Ping-Test zusätzlich zum Chart, an / in das gleiche Verzeichnis kopiert.
Du müsstest die dann nur in deine Seite einbauen. Die Datei besteht rein aus Text, mit ein paar HTML-Formatierungen.

Wobei sich die Frage stellt :

Ping 004.png

Ob der komplette Inhalt sinnvoll ist oder Eckdaten reichen.

Vielleicht hast du eine Idee wie der Inhalt vom SpeedTest aussehen könnte :)

Hm ... vielleicht hab ich dich auch falsch verstanden ... Der Ping-Wert wird der Achse „Network I/O“ zugeordnet und mit 0,1 skaliert.
Hast du einen Ping von 50ms ... dann würde im Chart 5mBit angezeigt. Ist unglücklich ... aber ohne eine weiter Achse die einfachste Möglichkeit :sneaky:
 
Zuletzt bearbeitet:

peterhoffmann

Benutzer
Mitglied seit
17. Dezember 2014
Beiträge
3.068
Punkte für Reaktionen
107
Punkte
129
Ich störe mich zur Zeit etwas an der Anzeige der Daten für HDD/SSD und Netzwerk.

In der Regel fließen über den Tag meist kleinere Datenmengen von und zur Synology, z.B. beim Streamen zum Mediaplayer, Datenverkehr über WLAN. Wenn man nur einmal am Tag höhere Geschwindigkeiten hatte (z.B. über GBit), wird das obere Ende der Tabelle auf 100MB/s und mehr auseinander gezogen und man sieht dieses "Kleinvieh" nicht mehr bzw. es hängt nur knapp an der unteren Kante.

Konstruktiv kann ich nur eine logarithmische Darstellung als Vorschlag beitragen. Ich nehme aber an, dass sich dies eher schwer umsetzen lässt.
 

MooDoo

Benutzer
Mitglied seit
21. Mai 2018
Beiträge
23
Punkte für Reaktionen
0
Punkte
1
Danke @BigRonin für den super schnellen Support! Echt klasse!

Am Ende deines Posts hast du mich richtig verstanden. ;) Das Ablesen im Chart ist das "Problem".
Danke dennoch für das bildliche Tutorial!

Als Textausgabe würde mir persönlich das hier reichen: pastebin.com
Das könnte ich ja in der HTML übertragen und alles auf einen Blick haben. Natürlich nur, wenn es andere auch interessieren würde und du somit evtl nicht nur wegen mir Arbeit hast.... ;)
 

BigRonin

Benutzer
Mitglied seit
08. Mai 2015
Beiträge
938
Punkte für Reaktionen
43
Punkte
54

MooDoo

Benutzer
Mitglied seit
21. Mai 2018
Beiträge
23
Punkte für Reaktionen
0
Punkte
1
Mist, habe das falsche kopiert. Gottseidank vergisst Notepad++ nicht so schnell :ROFLMAO:
Variante1
Variante2

Das wären alle Infos die ich persönlich haben wollen würde als Laie :)
 

Peppi81

Benutzer
Mitglied seit
24. August 2012
Beiträge
36
Punkte für Reaktionen
1
Punkte
14
Bei der anderen DS920+ lässt sich der AvrLogger mit selben Problem NICHT starten!


root@B4S1S:~# cat /proc/mdstat
Personalities : [linear] [raid0] [raid1] [raid10] [raid6] [raid5] [raid4]
md2 : active raid5 sata3p5[0] sata2p5[3] sata1p5[2] sata4p5[1]
23427586368 blocks super 1.2 level 5, 64k chunk, algorithm 2 [4/4] [UUUU]
[>....................] resync = 2.9% (230095872/7809195456) finish=1111.2min speed=113672K/sec

md1 : active raid1 sata3p2[2] sata4p2[3] sata1p2[0] sata2p2[1]
2097088 blocks [4/4] [UUUU]

md0 : active raid1 sata3p1[2] sata4p1[3] sata1p1[0] sata2p1[1]
2490176 blocks [4/4] [UUUU]

unused devices: <none>


MfG
Thomas
 

BigRonin

Benutzer
Mitglied seit
08. Mai 2015
Beiträge
938
Punkte für Reaktionen
43
Punkte
54
Hmmm … auch wenn dein Feedback ernüchternd ist, vielen Dank!

Die interne Benennung der Festplatten ist so ungewöhnlich … ich hab keine Idee wie ich das AvrLogger beibringen kann … und ich kann mangels passender DS noch nicht mal testen.

Hat hier jemand eine Idee warum die Bezeichnung so gänzlich anders ist als üblich?

Kann jemand der eine DS 720+ / 420+ oder 220+ hat, diese Bezeichnungen der internen Festplatten bestätigen?
 

peterhoffmann

Benutzer
Mitglied seit
17. Dezember 2014
Beiträge
3.068
Punkte für Reaktionen
107
Punkte
129
Dank AvrLogger kann ich wunderbar visuell nachvollziehen, ob die Kühlung gut funktioniert und ausreichend ist oder was geändert werden sollte.

Jetzt in den warmen Tagen ist das für unsere NAS-Geräte eine höhere Belastung und die Temperaturen der HDD(s) gehen da mal schnell über die magische 40° Grenze.

Hier ein Screenshot von Sonntag, wo man an dem auf und ab der Temperaturlinie der HDD und der CPU schön sehen kann wie scemd funktioniert. Die HDD erreicht 40°, scemd schaltet den Lüfter von 15 auf 30% hoch, nach 15 bis 30 Minuten geht die Temperatur der HDD auf 39° runter und scemd schaltet den Lüfter wieder auf 15% runter. Nach einer halben Stunde geht das Spiel wieder von vorne los.

Bei dem Auf und Ab wünscht man sich ein wenig unterschiedliche Schwellenwerte (scemd). Aber das ist Jammern auf hohem Niveau. Es würde ja nur die Wellen auseinanderziehen und vertiefen.

hdd-temperatur.jpg


Lieber BigRonin,
ich kann gar nicht oft genug Danke für dein tolles Tool sagen! (y)(y)(y)(y)
 

Nerdfreak

Benutzer
Mitglied seit
29. August 2020
Beiträge
7
Punkte für Reaktionen
0
Punkte
1
Hallo BigRonin,

ich habe das gleiche Problem wie Peppi81. Ich kann den AvrLogger installieren, er startet und wird direkt danach wieder beendet. Es öffnet sich trotzdem ein Fenster, das beim ersten Mal die kurze Anleitung gezeigt hat und danach weis bleibt.

Meine Infos:
DS720+, eine SSD (Sandisk Plus 480 GB) in Slot 1 verbaut. Slot 2 und die beiden nvme sind leer.

Neues Updates sind installiert, Python 3 läuft und auch AvrLogger ist in der neuesten Version installiert.

Auch wenn ich dein Tool noch nicht nutzen konnte, freue ich mich wirklich sehr, dass du so viel Zeit und Mühe investierst und möchte mich ganz herzlich bei dir bedanken!
 

peterhoffmann

Benutzer
Mitglied seit
17. Dezember 2014
Beiträge
3.068
Punkte für Reaktionen
107
Punkte
129
Wenn du auf das Log auf der Oberfläche nicht zugreifen kannst, bleibt dir noch der Weg über die Konsole um das Log einzusehen.

Es liegt hier:
Code:
/usr/syno/etc/packages/AvrLogger/log/error
 

peterhoffmann

Benutzer
Mitglied seit
17. Dezember 2014
Beiträge
3.068
Punkte für Reaktionen
107
Punkte
129
@BigRonin
Und wo wir dabei sind, ich habe bei mir mal reingeschaut und gleich was gefunden.

Code:
2020.08.25 08:00:02 CRN: &quot;Hibernation&quot; stopped ...
2020.08.25 08:00:16 PKG: AvrLogger was started by CronJob ...
Traceback (most recent call last):
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/urllib/request.py", line 1240, in do_open
    h.request(req.get_method(), req.selector, req.data, headers)
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/http/client.py", line 1083, in request
    self._send_request(method, url, body, headers)
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/http/client.py", line 1128, in _send_request
    self.endheaders(body)
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/http/client.py", line 1079, in endheaders
    self._send_output(message_body)
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/http/client.py", line 911, in _send_output
    self.send(msg)
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/http/client.py", line 854, in send
    self.connect()
  File "/var/packages/AvrLogger/target/lib/Ookla.py", line 230, in connect
    self.sock = socket.create_connection( (self.host, self.port), self.timeout, self.source_address                          )
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/socket.py", line 693, in create_connection
    for res in getaddrinfo(host, port, 0, SOCK_STREAM):
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/socket.py", line 732, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -3] Temporary failure in name resolution

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/var/packages/AvrLogger/target/lib/Ookla.py", line 439, in catch_request
    uh = _open( request )
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/urllib/request.py", line 465, in open
    response = self._open(req, data)
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/urllib/request.py", line 483, in _open
    '_open', req)
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/urllib/request.py", line 443, in _call_chain
    result = func(*args)
  File "/var/packages/AvrLogger/target/lib/Ookla.py", line 295, in https_open
    return self.do_open( _build_connection( SpeedtestHTTPSConnection, self.source_address, self.time                         out, context=self._context, ), req )
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/urllib/request.py", line 1242, in do_open
    raise URLError(err)
urllib.error.URLError: <urlopen error [Errno -3] Temporary failure in name resolution>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/var/packages/AvrLogger/target/AvrSpeed.py", line 61, in <module>
    Ookla.SpeedTest( opt=asset.AvrConf["SpeedTestServerCUR"], AvrDebug=AvrDebug )
  File "/var/packages/AvrLogger/target/lib/Ookla.py", line 1395, in SpeedTest
    sSpeed     = shell()
  File "/var/packages/AvrLogger/target/lib/Ookla.py", line 1258, in shell
    speedtest = Speedtest( timeout=args.timeout, secure=args.secure )
  File "/var/packages/AvrLogger/target/lib/Ookla.py", line 708, in __init__
    self.get_config()
  File "/var/packages/AvrLogger/target/lib/Ookla.py", line 734, in get_config
    uh, e   = catch_request( request, opener=self._opener )
  File "/var/packages/AvrLogger/target/lib/Ookla.py", line 445, in catch_request
    return None, e.code
AttributeError: 'URLError' object has no attribute 'code'
2020.08.25 21:05:02 CRN: &quot;Hibernation&quot; started ...
2020.08.25 21:05:03 PKG: AvrLogger was stopped by CronJob ...
2020.08.26 08:00:02 CRN: &quot;Hibernation&quot; stopped ...
2020.08.26 08:00:23 PKG: AvrLogger was started by CronJob ...
 

Nerdfreak

Benutzer
Mitglied seit
29. August 2020
Beiträge
7
Punkte für Reaktionen
0
Punkte
1
---------------------------------------------------------------------------------
2020.08.29 12:08:32 PreInst : Preparing INSTALL v3.0.1-003
2020.08.29 12:08:32 PostInst : INSTALL v3.0.1-003
---------------------------------------------------------------------------------
2020.08.29 12:08:32 PostInst : Renamed "/helptoc" to "/.helptoc"
2020.08.29 12:08:32 PostInst : Directory structure "etc" created
2020.08.29 12:08:32 PostInst : Use of "Shared Memory" is enabled
2020.08.29 12:08:32 PostInst : Config "Default.cnf" created
2020.08.29 12:08:32 PostInst : Config "schedule.conf" created
2020.08.29 12:08:32 PostInst : Symbolic link in 3rdparty created
---------------------------------------------------------------------------------
2020.08.29 12:08:32 AvrLogger v3.0.1-003 INSTALL successful.
---------------------------------------------------------------------------------
2020.08.29 12:08:37 PKG: AvrLogger was started by DSM ...
2020.08.29 12:08:40 SYS: Fatal error has occurred. "AvrLogger" will now shutdown ...
2020.08.29 12:08:40 SYS: "StoragePool" or "DiskInfo" of Device [sata1] is malformed :
DiskInfo :
{}
StoragePool :
{
"enum": {
"iLocBox": {},
"iLocInt": {
"DS720+": [
"sata1"
]
}
},
"storage": {
"cache": {},
"pools": {
"1": {
"desc": "",
"loc": "internal",
"sdl": [
"sata1"
],
"time": 1598695719
}
},
"time": 1598695719,
"version": "200715.001"
}
}
2020.08.29 12:08:43 PKG: AvrLogger was stopped by DSM ...
2020.08.29 12:10:17 BaseException in : "cgi_main.main"
Called Page : [Config-csv+OnChange]

Traceback (most recent call last):
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/AvrLogger.cgi", line 203, in Main
sNext = cgi_main.main ( mainpage, site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/cgi_main.py", line 140, in main
objModule[ index ].main( site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/mod_Config.py", line 857, in main
sFunctions( site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/mod_Config.py", line 2009, in func_Csv
print ( '\n' + Csv.Preview ( Out ) )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/lib/Csv.py", line 41, in Preview
sPreView += Add( csvConf )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/lib/Csv.py", line 131, in Add
line += csvText + nice[j][0:-2] + csvText + csvCol
IndexError: list index out of range

2020.08.29 12:11:06 BaseException in : "cgi_main.main"
Called Page : [Chart-index+]

Traceback (most recent call last):
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/AvrLogger.cgi", line 203, in Main
sNext = cgi_main.main ( mainpage, site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/cgi_main.py", line 140, in main
objModule[ index ].main( site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/mod_Chart.py", line 221, in main
sFunctions( site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/mod_Chart.py", line 653, in func_Index
id = int(List[a])
ValueError: invalid literal for int() with base 10: ''

2020.08.29 12:11:07 BaseException in : "cgi_main.main"
Called Page : [Hdd-+]

Traceback (most recent call last):
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/AvrLogger.cgi", line 203, in Main
sNext = cgi_main.main ( mainpage, site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/cgi_main.py", line 131, in main
if index != None : objModule[ index ].sub( site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/mod_Hdd.py", line 123, in sub
sEnum, sDisks = f.getDriveLocation()
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/lib/Smart.py", line 746, in getDriveLocation
rTemp = self.rDict[ 'storage' ][ 'disks' ]
KeyError: 'disks'

2020.08.29 12:11:09 BaseException in : "cgi_main.main"
Called Page : [Hdd-list+]

Traceback (most recent call last):
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/AvrLogger.cgi", line 203, in Main
sNext = cgi_main.main ( mainpage, site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/cgi_main.py", line 131, in main
if index != None : objModule[ index ].sub( site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/mod_Hdd.py", line 123, in sub
sEnum, sDisks = f.getDriveLocation()
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/lib/Smart.py", line 746, in getDriveLocation
rTemp = self.rDict[ 'storage' ][ 'disks' ]
KeyError: 'disks'

2020.08.29 12:12:09 SYS: Download for DSM version 6.2.3-25426 >> "DSM_DS720+_25426.pat"
2020.08.29 12:12:10 SYS: Download pat-File "DSM_DS720+_25426.pat"
2020.08.29 12:12:35 SYS: Extracting "hda1.tgz" from pat-File ...
2020.08.29 12:12:35 SYS: Extracting "hda1" from "hda1.tgz" ...
2020.08.29 12:12:53 SYS: Extracting "scemd.xml" from "hda1" ...
2020.08.29 12:15:20 BaseException in : "cgi_main.main"
Called Page : [Config-csv+OnChange]

Traceback (most recent call last):
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/AvrLogger.cgi", line 203, in Main
sNext = cgi_main.main ( mainpage, site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/cgi_main.py", line 140, in main
objModule[ index ].main( site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/mod_Config.py", line 857, in main
sFunctions( site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/mod_Config.py", line 2009, in func_Csv
print ( '\n' + Csv.Preview ( Out ) )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/lib/Csv.py", line 41, in Preview
sPreView += Add( csvConf )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/lib/Csv.py", line 131, in Add
line += csvText + nice[j][0:-2] + csvText + csvCol
IndexError: list index out of range

2020.08.29 12:15:51 BaseException in : "cgi_main.main"
Called Page : [Hdd-+]

Traceback (most recent call last):
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/AvrLogger.cgi", line 203, in Main
sNext = cgi_main.main ( mainpage, site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/cgi_main.py", line 131, in main
if index != None : objModule[ index ].sub( site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/mod_Hdd.py", line 123, in sub
sEnum, sDisks = f.getDriveLocation()
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/lib/Smart.py", line 746, in getDriveLocation
rTemp = self.rDict[ 'storage' ][ 'disks' ]
KeyError: 'disks'

2020.08.29 12:15:52 BaseException in : "cgi_main.main"
Called Page : [Hdd-list+]

Traceback (most recent call last):
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/AvrLogger.cgi", line 203, in Main
sNext = cgi_main.main ( mainpage, site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/cgi_main.py", line 131, in main
if index != None : objModule[ index ].sub( site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/mod_Hdd.py", line 123, in sub
sEnum, sDisks = f.getDriveLocation()
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/lib/Smart.py", line 746, in getDriveLocation
rTemp = self.rDict[ 'storage' ][ 'disks' ]
KeyError: 'disks'

2020.08.29 12:15:56 BaseException in : "cgi_main.main"
Called Page : [Hdd-list+]

Traceback (most recent call last):
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/AvrLogger.cgi", line 203, in Main
sNext = cgi_main.main ( mainpage, site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/cgi_main.py", line 131, in main
if index != None : objModule[ index ].sub( site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/mod_Hdd.py", line 123, in sub
sEnum, sDisks = f.getDriveLocation()
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/lib/Smart.py", line 746, in getDriveLocation
rTemp = self.rDict[ 'storage' ][ 'disks' ]
KeyError: 'disks'

2020.08.29 12:16:36 BaseException in : "cgi_main.main"
Called Page : [Hdd-+]

Traceback (most recent call last):
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/AvrLogger.cgi", line 203, in Main
sNext = cgi_main.main ( mainpage, site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/cgi_main.py", line 131, in main
if index != None : objModule[ index ].sub( site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/mod_Hdd.py", line 123, in sub
sEnum, sDisks = f.getDriveLocation()
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/lib/Smart.py", line 746, in getDriveLocation
rTemp = self.rDict[ 'storage' ][ 'disks' ]
KeyError: 'disks'

2020.08.29 12:16:46 BaseException in : "cgi_main.main"
Called Page : [Chart-index+]

Traceback (most recent call last):
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/AvrLogger.cgi", line 203, in Main
sNext = cgi_main.main ( mainpage, site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/cgi_main.py", line 140, in main
objModule[ index ].main( site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/mod_Chart.py", line 221, in main
sFunctions( site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/mod_Chart.py", line 653, in func_Index
id = int(List[a])
ValueError: invalid literal for int() with base 10: ''

2020.08.29 12:21:24 BaseException in : "cgi_main.main"
Called Page : [Hdd-+]

Traceback (most recent call last):
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/AvrLogger.cgi", line 203, in Main
sNext = cgi_main.main ( mainpage, site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/cgi_main.py", line 131, in main
if index != None : objModule[ index ].sub( site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/mod_Hdd.py", line 123, in sub
sEnum, sDisks = f.getDriveLocation()
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/lib/Smart.py", line 746, in getDriveLocation
rTemp = self.rDict[ 'storage' ][ 'disks' ]
KeyError: 'disks'

2020.08.29 12:21:26 BaseException in : "cgi_main.main"
Called Page : [Hdd-list+]

Traceback (most recent call last):
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/AvrLogger.cgi", line 203, in Main
sNext = cgi_main.main ( mainpage, site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/cgi_main.py", line 131, in main
if index != None : objModule[ index ].sub( site, more )
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/gui/mod_Hdd.py", line 123, in sub
sEnum, sDisks = f.getDriveLocation()
File "/usr/syno/synoman/webman/3rdparty/AvrLogger/lib/Smart.py", line 746, in getDriveLocation
rTemp = self.rDict[ 'storage' ][ 'disks' ]
KeyError: 'disks'

2020.08.29 12:22:31 PKG: AvrLogger was started by DSM ...
2020.08.29 12:23:31 ENV: ""
2020.08.29 12:23:31 SYS: Fatal error has occurred. "AvrLogger" will now shutdown ...
2020.08.29 12:23:31 SYS: "StoragePool" or "DiskInfo" of Device [sata1] is malformed :
DiskInfo :
{}
StoragePool :
{
"enum": {
"iLocBox": {},
"iLocInt": {
"DS720+": [
"sata1"
]
}
},
"storage": {
"cache": {},
"pools": {
"1": {
"desc": "",
"loc": "internal",
"sdl": [
"sata1"
],
"time": 1598695867
}
},
"time": 1598695867,
"version": "200715.001"
}
}
2020.08.29 12:23:34 PKG: AvrLogger was stopped by DSM ...









zur Info:


root@DS:~# cat /proc/mdstat
Personalities : [linear] [raid0] [raid1] [raid10] [raid6] [raid5] [raid4]
md2 : active raid1 sata1p3[1]
239376512 blocks super 1.2 [2/1] [_U]
md1 : active raid1 sata1p2[1]
2097088 blocks [2/1] [_U]
md0 : active raid1 sata1p1[1]
2490176 blocks [2/1] [_U]
unused devices: <none>
 

peterhoffmann

Benutzer
Mitglied seit
17. Dezember 2014
Beiträge
3.068
Punkte für Reaktionen
107
Punkte
129
Code posten:
Wenn du auf die drei Punkte mit dem Pfeil nach unten klickst, kannst du "Code" auswählen.
Damit sieht es viel besser und übersichtlicher aus.

Zum Problem:
BigRonin antwortet normalerweise sehr zeitnah. Heute muss er sich wohl um seine fünf vollbusigen Freundinnen kümmern und die 82m Jacht mal wieder ausfahren. 😄
 
  • Like
Reaktionen: MooDoo

BigRonin

Benutzer
Mitglied seit
08. Mai 2015
Beiträge
938
Punkte für Reaktionen
43
Punkte
54
Sooo ... 14 Tage Urlaub mit den vollbusigen Freundinnen auf meiner 82m Jacht in der Karibik beendet ;)

@peterhoffmann Die Fehlermeldung kommt aus dem SpeedTest-Part ... der ist ja nicht von mir, sondern nur adaptiert. Ich hatte von da auch schon mal eine Fehlermeldung ... scheint aber nur äußerst selten vorzukommen. Ich beobachte das mal.

@Nerdfreak :
Neben der Meldung von @Peppi81 zu seiner DS920+, scheint auch die DS720+ von dieser ungewöhnlichen Bezeichnung der internen Festplatten betroffen zu sein. Hmmm ... das ist schlecht da es wohl doch kein Einzelfall ist :(.

Ich schau mal ob und wie ich AvrLogger an die neue Bezeichnung der HDD's anpassen kann.

@peterhoffmann und alle die es auch interessert :
Auf meinem Server liegt eine neue Version : AvrLogger-noarch-v3.0.1-003 PREVIEW.spk

Bei mir läuft es seit einiger Zeit gut. Für jede Achse kann separat die Skalierung ausgewählt werden :

Skalierung.png

Ich habe für mich festgestellt, das ein Start-Wert von "1" die Anzeige etwas übersichtlicher macht.

Update: Das SPK auf meinem Server enthält einen Fix (hoffentlich) für die DS920+ und DS720+, die von dem „sata“-Bezeichnungen betroffen sind.
Bitte testen und ein Feedback wäre nett ☺
 
  AdBlocker gefunden!

Du bist nicht hier, um Support für Adblocker zu erhalten, denn dein Adblocker funktioniert bereits ;-)

Klar machen Adblocker einen guten Job, aber sie blockieren auch nützliche Funktionen.

Das Forum wird mit einem hohen technischen, zeitlichen und finanziellen Aufwand kostenfrei zur Verfügung gestellt. Wir zeigen keine offensive oder Themen fremde Werbung. Bitte unterstütze dieses Forum, in dem du deinen Adblocker für diese Seite deaktivierst.